<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddImeExclusionNumberReq StructType
 * @subpackage Structs
 */
class AddImeExclusionNumberReq extends APIRequest
{
    /**
     * The imeExclusionNumber
     * @var XImeExclusionNumber
     */
    public $imeExclusionNumber;
    /**
     * Constructor method for AddImeExclusionNumberReq
     * @uses AddImeExclusionNumberReq::setImeExclusionNumber()
     * @param XImeExclusionNumber $imeExclusionNumber
     */
    public function __construct(XImeExclusionNumber $imeExclusionNumber = null)
    {
        $this
            ->setImeExclusionNumber($imeExclusionNumber);
    }
    /**
     * Get imeExclusionNumber value
     * @return XImeExclusionNumber|null
     */
    public function getImeExclusionNumber()
    {
        return $this->imeExclusionNumber;
    }
    /**
     * Set imeExclusionNumber value
     * @param XImeExclusionNumber $imeExclusionNumber
     * @return AddImeExclusionNumberReq
     */
    public function setImeExclusionNumber(XImeExclusionNumber $imeExclusionNumber = null)
    {
        $this->imeExclusionNumber = $imeExclusionNumber;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddImeExclusionNumberReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
